Subject: Re: bug#78660: [PATCH] Add context menu for commenting in prog-mode

From: Juri Linkov <[email-masked]>
Date: Sun, 01 Jun 2025 19:47:25 +0300

>>> Though context menu is supported in emacs at present, many modes that
>>> supports it still lacks some functions (like commenting, toggling
>>> bookmark).
>>> This patch is a small update, which add context menu for commenting in
>>> prog-mode.
>> If our goal is to stuff context menus with all possible commands,
>> then this patch is ok.  Only suggest at least to group commands
>> by submenu trees.
>
> While there are a wide range of commands, I think only the common ones
> should be added to the context menu. I don't think stuffing context
> menus with all possible commands is a good choice, this will cause
> users end up finding commands in submenus.

Or like there is for example 'treesit-font-lock-level' that defines
how much fontification the user wants, we could add an option that
defines how many menu items the user wants to add to the context menu.

> I think we can refer to software like notepad++, notepad3, etc to see
> which commands are worth to be added to the context menu.

Indeed, we could look elsewhere to get an idea for good balance
on the menu size.